> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noqa.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Cases

> Get list of test cases with optional filtering (Public API with API Key authentication)



## OpenAPI

````yaml /openapi.json get /v1/cases/
openapi: 3.1.0
info:
  title: NOQA Public API
  description: >-
    Public API for mobile app testing automation. Authenticate using API Key in
    x-api-key header.
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
paths:
  /v1/cases/:
    get:
      tags:
        - Cases
      summary: List Cases
      description: >-
        Get list of test cases with optional filtering (Public API with API Key
        authentication)
      operationId: list_cases_v1_cases__get
      parameters:
        - name: app_id
          in: query
          required: true
          schema:
            type: string
            format: uuid
            description: Application ID
            title: App Id
          description: Application ID
        - name: test_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: Filter cases by test ID (returns cases from that test run)
            title: Test Id
          description: Filter cases by test ID (returns cases from that test run)
        - name: tags
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Filter cases by tag names (comma-separated, returns cases with all
              these tags)
            title: Tags
          description: >-
            Filter cases by tag names (comma-separated, returns cases with all
            these tags)
        - name: skip
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Number of records to skip
            default: 0
            title: Skip
          description: Number of records to skip
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Maximum number of records
            default: 50
            title: Limit
          description: Maximum number of records
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: API Key for authentication
            title: X-Api-Key
          description: API Key for authentication
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PublicCaseResponse'
                title: Response List Cases V1 Cases  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PublicCaseResponse:
      properties:
        id:
          type: string
          title: Id
          description: Test case ID
        title:
          type: string
          title: Title
          description: Test case title
        instructions:
          type: string
          title: Instructions
          description: Test case instructions with expanded flow content
        tags:
          items:
            type: string
          type: array
          maxItems: 100
          title: Tags
          description: List of tag names assigned to this test case
      type: object
      required:
        - id
        - title
        - instructions
      title: PublicCaseResponse
      description: Public case response with limited fields
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication. Get your API key from NOQA dashboard.

````